<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:background="@color/transparent"
        android:layout_height="match_parent">

        <androidx.cardview.widget.CardView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_margin="100dp"
            app:cardCornerRadius="20dp"
            app:cardElevation="40dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.3">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content">

                <ImageView
                    android:id="@+id/iv_dialog_close"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:padding="20dp"
                    android:src="@mipmap/cancel"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/textView3"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="20dp"
                    android:gravity="center"
                    android:text="登记"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <LinearLayout
                    android:id="@+id/linearLayout8"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_margin="20dp"
                    android:orientation="vertical"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/textView3">

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent"
                                android:gravity="center"
                                android:text="蚕季：" />

                            <com.google.android.material.textfield.TextInputLayout
                                style="@style/Widget.Material3.TextInputLayout.FilledBox.ExposedDropdownMenu"
                                android:layout_width="300dp"
                                android:layout_marginVertical="5dp"
                                android:layout_height="wrap_content">

                                <AutoCompleteTextView
                                    android:id="@+id/tv_season"
                                    android:hint="@string/select_season"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:inputType="none" />

                            </com.google.android.material.textfield.TextInputLayout>

                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent"
                                android:gravity="center"
                                android:text="蚕种：" />


                            <com.google.android.material.textfield.TextInputLayout
                                style="@style/Widget.Material3.TextInputLayout.FilledBox.ExposedDropdownMenu"
                                android:layout_width="300dp"
                                android:layout_marginVertical="5dp"
                                android:layout_height="wrap_content"
                                android:hint="@string/select_variety">

                                <AutoCompleteTextView
                                    android:id="@+id/tv_variety"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:inputType="none" />

                            </com.google.android.material.textfield.TextInputLayout>

                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent"
                                android:gravity="center"
                                android:text="数量：" />

                            <TextView
                                android:id="@+id/ti_number"
                                android:layout_width="300dp"
                                android:gravity="start|center_vertical"
                                android:layout_marginVertical="10dp"
                                android:textSize="35sp"
                                android:paddingStart="10dp"
                                android:background="@drawable/bg_work"
                                android:layout_height="60dp"
                                android:layout_gravity="center"/>
                        </LinearLayout>

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent"
                                android:gravity="center"
                                android:text="蚕龄：" />

                            <TextView
                                android:id="@+id/ti_days"
                                android:layout_width="300dp"
                                android:gravity="start|center_vertical"
                                android:text="1"
                                android:layout_marginVertical="10dp"
                                android:textSize="35sp"
                                android:paddingStart="10dp"
                                android:background="@drawable/bg_work"
                                android:layout_height="60dp"
                                android:layout_gravity="center"/>

                        </LinearLayout>

                        <Button
                            android:id="@+id/btn_yes"
                            style="@style/Widget.Material3.Button.OutlinedButton"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_margin="10dp"
                            android:text="确定" />

                    </LinearLayout>
            </androidx.constraintlayout.widget.ConstraintLayout>
        </androidx.cardview.widget.CardView>
    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>